CPASSWD(1)

NAME
cpasswd - scramble passwords for csup authentication

SYNOPSIS
cpasswd clientName serverName

DESCRIPTION
The cpasswd utility creates scrambled passwords for the CVSup server's authentication database. It is invoked with a client name and a server name. ClientName is the name the client uses to gain access to the server. By convention, e-mail addresses are used for all client names, e.g., ‘BillyJoe@FreeBSD.org’. Client names are case-insensitive.

ServerName is the name of the CVSup server which the client wishes to access. By convention, it is the canonical fully-qualified domain name of the server, e.g., ‘CVSup.FreeBSD.ORG’. This must agree with the server's own idea of its name. The name is case-insensitive.

To set up authentication for a given server, one must perform the following steps:

1.  Obtain the official serverName from the administrator of the server or from some other source.

2.  Choose an appropriate clientName. It should be in the form of a valid e-mail address, to make it easy for the server administrator to contact the user if necessary.

3.  Choose an arbitrary secret password.

4.  Run cpasswd, and type in the password when prompted for it. The utility will print out a line to send to the server administrator, and instruct you how to modify your $HOME/.csup/auth file. You should use a secure channel to send the line to the server administrator.

Since $HOME/.csup/auth contains passwords, you should ensure that it is not readable by anyone except yourself.

FILES
$HOME/.csup/auth
    Authentication password file.

SEE ALSO
csup(1), cvsup(1), cvsupd(8).

    http://www.cvsup.org/

AUTHORS
-nosplit Petar Zhivkov Petrov <pesho.petrov@gmail.com> is the author of cpasswd, the rewrite of cvpasswd. John Polstra <jdp@polstra.com> is the author of CVSup.

LEGALITIES
CVSup is a registered trademark of John D. Polstra.